
CoCoALib - Feature #570

Allow use of RingElem instead of ring in some functions (e.g. PPM, CoeffRing)

12 Jun 2014 12:30 - John Abbott

Status: New Start date: 12 Jun 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.12 hour

Description

Mario Albert said it would help make code shorter (and more readable) if one could write PPM(f) instead of PPM(owner(f)) or even

PPM(AsSparsePolyRing(owner(f)))

Is this really a good idea?  If so, which ring functions should be extended in this way?

History

#1 - 12 Jun 2014 12:41 - Anna Maria Bigatti

John Abbott wrote:

which ring functions should be extended in this way?

 

I see this question in other terms: which PPMonomidElem functions should be extended to RingElem?

That recalls the idea of renaming the functions owner into PPMOf/RingOf as in CoCoA-5 (indeed that is quite nice/friendly!!)

#2 - 16 Jul 2014 14:43 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
